 import {
  Contribution,
  Description,
 /*  Engineering, */
  Experiments,
  Home,
  Bfh,
  Attributions,
  HumanPractices,
  Notebook,
  Results,
  Safety,
  Team,
 /*  Sustainable, */
  Wiki 
} from "./contents"; 

interface Base {
  name: string | undefined;
}

class Folder implements Base {
  name: string | undefined;
  folder: Page[] | undefined;
}

class Page implements Base {
  name: string | undefined;
  title: string | undefined;
  path: string | undefined;
  component: React.FC | undefined;
  lead: string | undefined;
  navlist: Array<string> | undefined; 
}

const Pages: (Page | Folder)[] = [
  {
    name: "Home",
    title: "Bielefeld CeBiTec",
    path: "/",
    component: Home,
    lead: "Precision with every breath",
    navlist: [""],
    },
    {
      name: "Team",
      folder: [
        {
          name: "Team",
          title: "Team",
          path: "/team",
          component: Team,
          lead: "On this page you can introduce your team members, instructors, and advisors.",
          navlist: [""],
        },
        {
          name: "Attributions",
          title: "Attributions",
          path: "/attributions",
          component: Attributions,
          lead: "In the iGEM Competition, we celebrate student effort and achievement. The Attributions form helps the judges differentiate between what students accomplished from how their external collaborators supported them. Therefore, teams must clearly explain on the standard Project Attributions form what work they have conducted by themselves and what has been done by others.",
          navlist: [""],
        },
      ],
    },
    {
      name: "Project",
      folder: [
        {
          name: "Contribution",
          title: "Contribution",
          path: "/contribution",
          component: Contribution,
          lead: "Make a useful contribution for future iGEM teams. Use this page to document that contribution.",
          navlist: [""],
        },
        {
          name: "Description",
          title: "Project Description",
          path: "/description",
          component: Description,
          lead: "",
          navlist: ["Abstract", "Cystic Fibrosis", "Our motivation", "Approach", "Delivery", "Our vision", "References"]
        },
        /* {
          name: "Engineering",
          title: "Engineering Success",
          path: "/engineering",
          component: Engineering,
          lead: "Demonstrate engineering success in a technical aspect of your project by going through at least one iteration of the engineering design cycle. This achievement should be distinct from your Contribution for Bronze.",
          navlist: [""],
        }, */
        {
          name: "Experiments",
          title: "Experiments",
          path: "/experiments",
          component: Experiments,
          lead: "Describe the research, experiments, and protocols you used in your iGEM project.",
          navlist: [""],
        },
        {
          name: "Notebook",
          title: "Notebook",
          path: "/notebook",
          component: Notebook,
          lead: "Document the dates you worked on your project. This should be a detailed account of the work done each day for your project.",
          navlist: [""],
        },
        {
          name: "Results",
          title: "Results",
          path: "/results",
          component: Results,
          lead: "You can describe the results of your project and your future plans here.",
          navlist: [""],
        },
      ],
    },
    {
      name: "Safety",
      title: "Safety",
      path: "/safety",
      component: Safety,
      lead: "Describe all the safety issues of your project.",
      navlist: [""],
    },
    {
      name: "Human Practices",
      title: "Human Practices",
      path: "/human-practices",
      component: HumanPractices,
      lead: "We ask every team to think deeply and creatively about whether their project is responsible and good for the world. Consider how the world affects your work and how your work affects the world.",
      navlist: [""],
    },
    /* {
      name: "Awards",
      folder: [
        
        {
          name: "Sustainable",
          title: "Sustainable Development Goals",
          path: "/sustainable",
          component: Sustainable,
          lead: "Describe how you have evaluated your project ideas against one or more of the SDGs.",
          navlist: [""],
        },
      ],
    }, */
    {
      name: "Contribution",
      folder: [
            {
              name: "BFH",
              title: "BFH European MeetUp",
              path: "/bfh",
              component: Bfh,
              lead: "MeetUp",
              navlist: [],
            },
            {
              name: "Wiki",
              title: "wiki",
              path: "/wiki",
              component: Wiki,
              lead: "Wiki",
              navlist: [""],
            },
          ]
    },
];

export default Pages;